di_package Struct Reference
Di_package

Package. More...

`#include <package.h>`

## Data Fields

union { |
char * package |
di_rstring key |
}; |
di_package_type | type
di_package_status_want | status_want
di_package_status | status
int | essential
di_package_priority | priority
char * | section
int | installed_size
char * | maintainer
char * | architecture
char * | version
di_slist | depends
char * | filename
size_t | size
char * | sha256
char * | short_description
char * | description
unsigned int | resolver

## Detailed Description

Package.

## Field Documentation

## architecture

char* architecture

Architecture field

## depends

di_slist depends

Any different dependency types

## description

char* description

Description field, second part

## essential

int essential

Essential field

## filename

char* filename

Filename field

## installed_size

int installed_size

Installed-Size field

## key

di_rstring key

hash key

Referenced by di_packages_append_package(), and di_packages_get_package_new().

## maintainer

char* maintainer

Maintainer field

## package

char* package

Package field

Referenced by di_packages_append_package().

## priority

di_package_priority priority

Priority field

## resolver

unsigned int resolver

## section

char* section

Section field

## sha256

char* sha256

SHA256 field

## short_description

char* short_description

Description field, first part

## size

size_t size

Size field

## status

di_package_status status

Status field, third part

## status_want

di_package_status_want status_want

Status field, first part

## type

di_package_type type

Type of package

## version

char* version

Version field